Loading...
Searching...
No Matches
D3D12_DEPTH_STENCIL_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

BOOL | DepthEnable
D3D12_DEPTH_WRITE_MASK | DepthWriteMask
D3D12_COMPARISON_FUNC | DepthFunc
BOOL | StencilEnable
UINT8 | StencilReadMask
UINT8 | StencilWriteMask
D3D12_DEPTH_STENCILOP_DESC | FrontFace
D3D12_DEPTH_STENCILOP_DESC | BackFace

## Detailed Description

Definition at line 2029 of file mini_d3d12.h.

## Member Data Documentation

## DepthEnable

BOOL D3D12_DEPTH_STENCIL_DESC::DepthEnable

Definition at line 2030 of file mini_d3d12.h.

## DepthWriteMask

D3D12_DEPTH_WRITE_MASK D3D12_DEPTH_STENCIL_DESC::DepthWriteMask

Definition at line 2031 of file mini_d3d12.h.

## DepthFunc

D3D12_COMPARISON_FUNC D3D12_DEPTH_STENCIL_DESC::DepthFunc

Definition at line 2032 of file mini_d3d12.h.

## StencilEnable

BOOL D3D12_DEPTH_STENCIL_DESC::StencilEnable

Definition at line 2033 of file mini_d3d12.h.

## StencilReadMask

UINT8 D3D12_DEPTH_STENCIL_DESC::StencilReadMask

Definition at line 2034 of file mini_d3d12.h.

## StencilWriteMask

UINT8 D3D12_DEPTH_STENCIL_DESC::StencilWriteMask

Definition at line 2035 of file mini_d3d12.h.

## FrontFace

D3D12_DEPTH_STENCILOP_DESC D3D12_DEPTH_STENCIL_DESC::FrontFace

Definition at line 2036 of file mini_d3d12.h.

## BackFace

D3D12_DEPTH_STENCILOP_DESC D3D12_DEPTH_STENCIL_DESC::BackFace

Definition at line 2037 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h